com.google.gwt.core.ext.soyc

## Class SourceMapRecorder

- java.lang.Object
- - com.google.gwt.core.ext.soyc.SourceMapRecorder

    public class SourceMapRecorder
    extends java.lang.Object

Creates Closure Compatible SourceMaps.

### Method Summary

All Methods Static Methods Concrete Methods
`static java.util.List<SyntheticArtifact>` `exec(int permutationId, java.util.List<com.google.gwt.dev.jjs.JsSourceMap> fragmentMaps, java.lang.String sourceFilePrefix)` Generates a sourcemap for each fragment in the list.
`static java.util.List<SyntheticArtifact>` `execWithJavaNames(int permutationId, java.util.List<com.google.gwt.dev.jjs.JsSourceMap> fragmentMaps, java.lang.String sourceFilePrefix)` Generates a sourcemap for each fragment in the list, with JavaScript-to-Java name mappings included.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### exec

    public static java.util.List<SyntheticArtifact> exec(int permutationId,
                                                         java.util.List<com.google.gwt.dev.jjs.JsSourceMap> fragmentMaps,
                                                         java.lang.String sourceFilePrefix)

Generates a sourcemap for each fragment in the list.

Parameters:
  `sourceFilePrefix` - the prefix that a debugger should add to the beginning of each filename in a sourcemap to determine the file's full URL. If null, filenames are relative to the sourcemap's URL.

#### execWithJavaNames

    public static java.util.List<SyntheticArtifact> execWithJavaNames(int permutationId,
                                                                      java.util.List<com.google.gwt.dev.jjs.JsSourceMap> fragmentMaps,
                                                                      java.lang.String sourceFilePrefix)

Generates a sourcemap for each fragment in the list, with JavaScript-to-Java name mappings included.